Get conversations
- Base URL
-
https://{kibana_url}
- GET /api/security_ai_assistant/current_user/conversations/_find
- GET /s/{space_id}/api/security_ai_assistant/current_user/conversations/_find
Get a list of all conversations for the current user. This endpoint allows users to search, filter, sort, and paginate through their conversations.
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Query parameters
-
fieldsstring[] -
A list of fields to include in the response. If omitted, all fields are returned.
-
Example:
["id","title","createdAt"] -
filterstring -
A search query to filter the conversations. Can match against titles, messages, or other conversation attributes.
-
Example:
Security Issue -
sort_fieldenum -
The field by which to sort the results. Valid fields are
created_at,title, andupdated_at. -
Values:
created_attitleupdated_at -
sort_orderenum -
The order in which to sort the results. Can be either
ascfor ascending ordescfor descending. -
Values:
ascdesc
Responses
Successful response, returns a paginated list of conversations matching the specified criteria.
-
dataobject[]required -
A list of conversations.
-
idstring · format: nonempty · min length: 1required -
A string that does not contain only whitespace characters.
-
messagesobject[] -
The conversation messages.
-
idstring · format: nonempty · min length: 1 -
A string that does not contain only whitespace characters.
-
metadataobject -
Message metadata
-
contentReferencesmap string to oneOf -
A union of all content reference types
-
<string>union oneOf -
interruptResumeValueunion oneOf -
Union of the interrupt resume values
- One of:
-
timestampstring · format: nonempty · min length: 1required -
A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.
References a knowledge base entry
References a security alert
References the security alerts page
References the product documentation
References an ESQL query
A request approval resume schema